summaryrefslogtreecommitdiff
path: root/dev-java/json-simple
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-java/json-simple
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-java/json-simple')
-rw-r--r--dev-java/json-simple/Manifest1
-rw-r--r--dev-java/json-simple/json-simple-1.1-r1.ebuild30
-rw-r--r--dev-java/json-simple/metadata.xml19
3 files changed, 50 insertions, 0 deletions
diff --git a/dev-java/json-simple/Manifest b/dev-java/json-simple/Manifest
new file mode 100644
index 000000000000..2d05f995e396
--- /dev/null
+++ b/dev-java/json-simple/Manifest
@@ -0,0 +1 @@
+DIST json-simple-1.1.tar.gz 22154 BLAKE2B 594717df45d56b4e70cee9aadca661a9da7e19c2a77e5ab2176396c48bdf061f25db0e4cbf5b93b12dc862dfca593a71dcd154f24c914a4d2ff510e3f4b11570 SHA512 f09cb298254a8f35b534670d6a1801eeaf58385529f459f413aed556df1ac577bea6e678a32065077abc851dc310b3af38b818f1737bd255f05e756d7e2da066
diff --git a/dev-java/json-simple/json-simple-1.1-r1.ebuild b/dev-java/json-simple/json-simple-1.1-r1.ebuild
new file mode 100644
index 000000000000..a91c4fbc828d
--- /dev/null
+++ b/dev-java/json-simple/json-simple-1.1-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+JAVA_PKG_IUSE="source doc"
+
+inherit java-pkg-2 java-pkg-simple
+
+MY_P="tag_release_1_1_1"
+
+DESCRIPTION="Simple Java toolkit for JSON"
+HOMEPAGE="http://www.json.org"
+SRC_URI="https://github.com/fangyidong/json-simple/archive/${MY_P}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 ppc64 x86"
+
+DEPEND=">=virtual/jdk-1.6"
+RDEPEND=">=virtual/jre-1.6"
+
+S="${WORKDIR}/${PN}-${MY_P}"
+
+JAVA_SRC_DIR="src/main"
+
+src_prepare() {
+ default
+ rm -rv src/test || die
+}
diff --git a/dev-java/json-simple/metadata.xml b/dev-java/json-simple/metadata.xml
new file mode 100644
index 000000000000..b6361a4c7331
--- /dev/null
+++ b/dev-java/json-simple/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>java@gentoo.org</email>
+ <name>Java</name>
+ </maintainer>
+ <longdescription lang="en">Why the Simple Java toolkit (also named as JSON.simple) for JSON?
+ When I use JSON as the data exchange format between the AJAX client and JSP
+ for the first time, what worry me mostly is how to encode Java strings and
+ numbers correctly in the server side so the AJAX client will receive a well
+ formed JSON data. When I looked into the 'JSON in Java' directory in JSON
+ website,I found that wrappers to JSONObject and JSONArray can be simpler,
+ due to the simplicity of JSON itself. So I wrote the JSON.simple package.</longdescription>
+ <upstream>
+ <remote-id type="google-code">json-simple</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>